汇率查询
接口信息
- 路径:
/api/v1/acct/queryExchangeRate - 方法: POST
- Content-Type: application/json
业务说明
- 支持商户查询源币种到目标币种的汇率,当原金额不为0时,会计算出对应汇率的到账金额,若源金额为0或者不传,则只返回对应汇率
- 本接口提供当日最新的参考汇率,汇率数据每 24 小时更新一次。
- 实际扣款与结算所采用的汇率,将以交易执行时锁定并展示在出款凭证上的汇率为准。
- 若查询与执行时间不同步,因市场波动,两者可能存在差异。
请求参数
Headers
请求头
| 参数名 | 值 | 必填 | 说明 |
|---|---|---|---|
| Content-Type | application/json | 是 | 请求体类型 |
Request Body
主要参数
| 参数名 | 类型 | 说明 | 必填 |
|---|---|---|---|
| merchantNo | string | 商户号 | M |
| sourceAmount | number | 源金额 | C |
| sourceCurrency | string | 源币种 | M |
| targetCurrency | string | 目标币种 | M |
| sign | string | 签名 | M |
请求示例
json
{
"merchantNo": 801129,
"sourceAmount": "11.87",
"sourceCurrency": "USD",
"targetCurrency": "PKR",
"sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842282e1"
}响应结果
响应头 Headers
| 参数名 | 值 | 必填 | 说明 |
|---|---|---|---|
| content-type | application/json;charset=UTF-8 | 是 | 响应体类型 |
响应参数
响应字段
| 参数名 | 类型 | 说明 |
|---|---|---|
| respCode | string | |
| respMsg | string | |
| data | object | |
| |─sourceAmount | number | 源金额信息 |
| |─sourceCurrency | string | 源币种信息 |
| |─targetAmount | number | 目标金额信息 |
| |─targetCurrency | string | 目标币种信息 |
| |─convRate | number | 转换汇率 |
| |─rateDateTime | string | 当前汇率时间 |
响应示例
json
{
"respCode": "20000",
"respMsg": null,
"data": {
"sourceAmount": 11.87,
"sourceCurrency": "USD",
"targetAmount": 3286.32,
"targetCurrency": "PKR",
"convRate": 276.859578,
"rateDateTime": "2025-10-30 23:10:17"
}
}